

#run ones, important
execute if entity @s[scores={win_timer=1}] run scoreboard players add @s times_win 1
execute if entity @s[scores={win_timer=1}] run tag @s add this_player
execute if entity @s[scores={win_timer=1}] run tp @s -387.45 72.00 -89.49 648.43 26.74
execute if entity @s[scores={win_timer=1}] run tag @s remove inlevel
execute if entity @s[scores={win_timer=1}] run tag @s add inend
execute if entity @s[scores={win_timer=1}] run tag @s remove go_back_ok

#run ones, for look
execute if entity @s[scores={win_timer=1}] run particle minecraft:totem_of_undying -387.45 73.00 -89.49 0.3 0.5 0.3 0.7 300 force @a
execute if entity @s[scores={win_timer=1}] run playsound minecraft:ui.toast.challenge_complete ambient @s ~ ~ ~ 10 2
execute if entity @s[scores={win_timer=1}] run tellraw @a[tag=!this_player,tag=chat_msg] ["",{"text":"Congratulations! ","color":"dark_green"},{"selector":"@s","color":"green"},{"text":" reached the end for ","color":"gold"},{"score":{"name":"@s","objective":"times_win"},"color":"gold"},{"text":" time with stats,","color":"gold"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Time: ","color":"gray"},{"score":{"name":"@s","objective":"time_h"},"color":"gray"},{"text":"h,","color":"gray"},{"score":{"name":"@s","objective":"time_m"},"color":"gray"},{"text":"m,","color":"gray"},{"score":{"name":"@s","objective":"time_s"},"color":"gray"},{"text":"s,","color":"gray"},{"score":{"name":"@s","objective":"time_t"},"color":"gray"},{"text":"t ","color":"gray"},{"text":"|","color":"black"},{"text":" Jumps: ","color":"gray"},{"score":{"name":"@s","objective":"jumps"},"color":"gray"},{"text":" |","color":"black"},{"text":" Fails: ","color":"gray"},{"score":{"name":"@s","objective":"fails"},"color":"gray"},{"text":" |","color":"black"},{"text":" Score: ","color":"gray"},{"score":{"name":"@s","objective":"score"},"color":"gray"},{"text":"]","color":"black"}]

execute if entity @s[scores={win_timer=1}] if score @s best_total_tick > @s total_tick run tellraw @s ["",{"text":"You got a new fastest time record!","color":"blue"},{"text":"\n "}]
execute if entity @s[scores={win_timer=1}] if score @s best_jumps > @s jumps run tellraw @s ["",{"text":"You got a new least jumps record!","color":"blue"},{"text":"\n "}]
execute if entity @s[scores={win_timer=1}] if score @s best_fails > @s fails run tellraw @s ["",{"text":"You got a new least fails record!","color":"blue"},{"text":"\n "}]
execute if entity @s[scores={win_timer=1}] if score @s best_score < @s score run tellraw @s ["",{"text":"You got a new highest score record!","color":"blue"},{"text":"\n "}]

execute if entity @s[scores={win_timer=1}] run tellraw @s ["",{"text":"Congratulations,","color":"dark_purple"},{"text":" you reached the end for ","color":"dark_blue"},{"score":{"name":"@s","objective":"times_win"},"color":"gold"},{"text":" time!","color":"dark_blue"}]
execute if entity @s[scores={win_timer=1}] run title @s times 0 50 20
execute if entity @s[scores={win_timer=1}] run title @s title {"text":"Parkour Completed","color":"dark_green"}


#tellraw time
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={total_tick=..8400      }] run tellraw @s ["",{"text":"[Time] ","color":"gray"},{"score":{"name":"@s","objective":"time_h"},"color":"gray"},{"text":"h,","color":"gray"},{"score":{"name":"@s","objective":"time_m"},"color":"gray"},{"text":"m,","color":"gray"},{"score":{"name":"@s","objective":"time_s"},"color":"gray"},{"text":"s,","color":"gray"},{"score":{"name":"@s","objective":"time_t"},"color":"gray"},{"text":"t","color":"gray"},{"text":" (Grade: S)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={total_tick=8401..9440  }] run tellraw @s ["",{"text":"[Time] ","color":"gray"},{"score":{"name":"@s","objective":"time_h"},"color":"gray"},{"text":"h,","color":"gray"},{"score":{"name":"@s","objective":"time_m"},"color":"gray"},{"text":"m,","color":"gray"},{"score":{"name":"@s","objective":"time_s"},"color":"gray"},{"text":"s,","color":"gray"},{"score":{"name":"@s","objective":"time_t"},"color":"gray"},{"text":"t","color":"gray"},{"text":" (Grade: A)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={total_tick=9441..10600 }] run tellraw @s ["",{"text":"[Time] ","color":"gray"},{"score":{"name":"@s","objective":"time_h"},"color":"gray"},{"text":"h,","color":"gray"},{"score":{"name":"@s","objective":"time_m"},"color":"gray"},{"text":"m,","color":"gray"},{"score":{"name":"@s","objective":"time_s"},"color":"gray"},{"text":"s,","color":"gray"},{"score":{"name":"@s","objective":"time_t"},"color":"gray"},{"text":"t","color":"gray"},{"text":" (Grade: B)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={total_tick=10601..12000}] run tellraw @s ["",{"text":"[Time] ","color":"gray"},{"score":{"name":"@s","objective":"time_h"},"color":"gray"},{"text":"h,","color":"gray"},{"score":{"name":"@s","objective":"time_m"},"color":"gray"},{"text":"m,","color":"gray"},{"score":{"name":"@s","objective":"time_s"},"color":"gray"},{"text":"s,","color":"gray"},{"score":{"name":"@s","objective":"time_t"},"color":"gray"},{"text":"t","color":"gray"},{"text":" (Grade: C)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={total_tick=12001..13200}] run tellraw @s ["",{"text":"[Time] ","color":"gray"},{"score":{"name":"@s","objective":"time_h"},"color":"gray"},{"text":"h,","color":"gray"},{"score":{"name":"@s","objective":"time_m"},"color":"gray"},{"text":"m,","color":"gray"},{"score":{"name":"@s","objective":"time_s"},"color":"gray"},{"text":"s,","color":"gray"},{"score":{"name":"@s","objective":"time_t"},"color":"gray"},{"text":"t","color":"gray"},{"text":" (Grade: D)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={total_tick=13001..15600}] run tellraw @s ["",{"text":"[Time] ","color":"gray"},{"score":{"name":"@s","objective":"time_h"},"color":"gray"},{"text":"h,","color":"gray"},{"score":{"name":"@s","objective":"time_m"},"color":"gray"},{"text":"m,","color":"gray"},{"score":{"name":"@s","objective":"time_s"},"color":"gray"},{"text":"s,","color":"gray"},{"score":{"name":"@s","objective":"time_t"},"color":"gray"},{"text":"t","color":"gray"},{"text":" (Grade: E)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={total_tick=15601..     }] run tellraw @s ["",{"text":"[Time] ","color":"gray"},{"score":{"name":"@s","objective":"time_h"},"color":"gray"},{"text":"h,","color":"gray"},{"score":{"name":"@s","objective":"time_m"},"color":"gray"},{"text":"m,","color":"gray"},{"score":{"name":"@s","objective":"time_s"},"color":"gray"},{"text":"s,","color":"gray"},{"score":{"name":"@s","objective":"time_t"},"color":"gray"},{"text":"t","color":"gray"},{"text":" (Grade: F)","color":"yellow"}]

#tellraw jumps
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={jumps=..444   }] run tellraw @s ["",{"text":"[Jumps] ","color":"gray"},{"score":{"name":"@s","objective":"jumps"},"color":"gray"},{"text":" (Grade: S)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={jumps=445..480}] run tellraw @s ["",{"text":"[Jumps] ","color":"gray"},{"score":{"name":"@s","objective":"jumps"},"color":"gray"},{"text":" (Grade: A)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={jumps=481..520}] run tellraw @s ["",{"text":"[Jumps] ","color":"gray"},{"score":{"name":"@s","objective":"jumps"},"color":"gray"},{"text":" (Grade: B)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={jumps=521..580}] run tellraw @s ["",{"text":"[Jumps] ","color":"gray"},{"score":{"name":"@s","objective":"jumps"},"color":"gray"},{"text":" (Grade: C)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={jumps=581..630}] run tellraw @s ["",{"text":"[Jumps] ","color":"gray"},{"score":{"name":"@s","objective":"jumps"},"color":"gray"},{"text":" (Grade: D)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={jumps=631..700}] run tellraw @s ["",{"text":"[Jumps] ","color":"gray"},{"score":{"name":"@s","objective":"jumps"},"color":"gray"},{"text":" (Grade: E)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={jumps=701..   }] run tellraw @s ["",{"text":"[Jumps] ","color":"gray"},{"score":{"name":"@s","objective":"jumps"},"color":"gray"},{"text":" (Grade: F)","color":"yellow"}]

#tellraw fails
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={fails=..0   }] run tellraw @s ["",{"text":"[Fails] ","color":"gray"},{"score":{"name":"@s","objective":"fails"},"color":"gray"},{"text":" (Grade: S)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={fails=1..3  }] run tellraw @s ["",{"text":"[Fails] ","color":"gray"},{"score":{"name":"@s","objective":"fails"},"color":"gray"},{"text":" (Grade: A)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={fails=4..10 }] run tellraw @s ["",{"text":"[Fails] ","color":"gray"},{"score":{"name":"@s","objective":"fails"},"color":"gray"},{"text":" (Grade: B)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={fails=11..20}] run tellraw @s ["",{"text":"[Fails] ","color":"gray"},{"score":{"name":"@s","objective":"fails"},"color":"gray"},{"text":" (Grade: C)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={fails=21..35}] run tellraw @s ["",{"text":"[Fails] ","color":"gray"},{"score":{"name":"@s","objective":"fails"},"color":"gray"},{"text":" (Grade: D)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={fails=36..60}] run tellraw @s ["",{"text":"[Fails] ","color":"gray"},{"score":{"name":"@s","objective":"fails"},"color":"gray"},{"text":" (Grade: E)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={fails=61..  }] run tellraw @s ["",{"text":"[Fails] ","color":"gray"},{"score":{"name":"@s","objective":"fails"},"color":"gray"},{"text":" (Grade: F)","color":"yellow"}]

#tellraw score
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={score=182000..      }] run tellraw @s ["",{"text":"[Score] ","color":"gray"},{"score":{"name":"@s","objective":"score"},"color":"gray"},{"text":" (Grade: S)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={score=172000..181999}] run tellraw @s ["",{"text":"[Score] ","color":"gray"},{"score":{"name":"@s","objective":"score"},"color":"gray"},{"text":" (Grade: A)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={score=160000..171999}] run tellraw @s ["",{"text":"[Score] ","color":"gray"},{"score":{"name":"@s","objective":"score"},"color":"gray"},{"text":" (Grade: B)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={score=130000..159999}] run tellraw @s ["",{"text":"[Score] ","color":"gray"},{"score":{"name":"@s","objective":"score"},"color":"gray"},{"text":" (Grade: C)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={score=100000..129999}] run tellraw @s ["",{"text":"[Score] ","color":"gray"},{"score":{"name":"@s","objective":"score"},"color":"gray"},{"text":" (Grade: D)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={score=63000..99999  }] run tellraw @s ["",{"text":"[Score] ","color":"gray"},{"score":{"name":"@s","objective":"score"},"color":"gray"},{"text":" (Grade: E)","color":"yellow"}]
execute if entity @s[scores={win_timer=1}] run execute if entity @s[scores={score=..62999       }] run tellraw @s ["",{"text":"[Score] ","color":"gray"},{"score":{"name":"@s","objective":"score"},"color":"gray"},{"text":" (Grade: F)","color":"yellow"}]

#world stats
execute if entity @s[scores={win_timer=1}] if score !best_total_tick world_stats > @s total_tick run scoreboard players operation !best_time_t world_stats = @s time_t
execute if entity @s[scores={win_timer=1}] if score !best_total_tick world_stats > @s total_tick run scoreboard players operation !best_time_s world_stats = @s time_s
execute if entity @s[scores={win_timer=1}] if score !best_total_tick world_stats > @s total_tick run scoreboard players operation !best_time_m world_stats = @s time_m
execute if entity @s[scores={win_timer=1}] if score !best_total_tick world_stats > @s total_tick run scoreboard players operation !best_time_h world_stats = @s time_h
execute if entity @s[scores={win_timer=1}] if score !best_total_tick world_stats > @s total_tick run scoreboard players operation !best_total_tick world_stats = @s total_tick
execute if entity @s[scores={win_timer=1}] if score !best_jumps world_stats > @s jumps run scoreboard players operation !best_jumps world_stats = @s jumps
execute if entity @s[scores={win_timer=1}] if score !best_fails world_stats > @s fails run scoreboard players operation !best_fails world_stats = @s fails
execute if entity @s[scores={win_timer=1}] if score !best_score world_stats < @s score run scoreboard players operation !best_score world_stats = @s score

#run ones, scoreboard
execute if entity @s[scores={win_timer=1}] run scoreboard players operation @s all_fails += @s fails
execute if entity @s[scores={win_timer=1}] run scoreboard players operation @s all_jumps += @s jumps
execute if entity @s[scores={win_timer=1}] run scoreboard players operation @s all_score += @s score
execute if entity @s[scores={win_timer=1}] run scoreboard players operation @s all_time += @s total_tick

execute if entity @s[scores={win_timer=1}] run scoreboard players operation !all_fails world_stats += @s fails
execute if entity @s[scores={win_timer=1}] run scoreboard players operation !all_jumps world_stats += @s jumps
execute if entity @s[scores={win_timer=1}] run scoreboard players operation !all_score world_stats += @s score
execute if entity @s[scores={win_timer=1}] run scoreboard players operation !all_time world_stats += @s total_tick
execute if entity @s[scores={win_timer=1}] run scoreboard players add !all_wins world_stats 1

execute if entity @s[scores={win_timer=1}] if score @s best_total_tick > @s total_tick run scoreboard players operation @s best_time_t = @s time_t
execute if entity @s[scores={win_timer=1}] if score @s best_total_tick > @s total_tick run scoreboard players operation @s best_time_s = @s time_s
execute if entity @s[scores={win_timer=1}] if score @s best_total_tick > @s total_tick run scoreboard players operation @s best_time_m = @s time_m
execute if entity @s[scores={win_timer=1}] if score @s best_total_tick > @s total_tick run scoreboard players operation @s best_time_h = @s time_h
execute if entity @s[scores={win_timer=1}] if score @s best_total_tick > @s total_tick run scoreboard players operation @s best_total_tick = @s total_tick
execute if entity @s[scores={win_timer=1}] if score @s best_jumps > @s jumps run scoreboard players operation @s best_jumps = @s jumps
execute if entity @s[scores={win_timer=1}] if score @s best_fails > @s fails run scoreboard players operation @s best_fails = @s fails
execute if entity @s[scores={win_timer=1}] if score @s best_score < @s score run scoreboard players operation @s best_score = @s score

#calculate points, player
scoreboard players set @s points 0

execute if entity @s[scores={best_total_tick=..8400      }] run scoreboard players add @s points 70
execute if entity @s[scores={best_total_tick=8401..9440  }] run scoreboard players add @s points 60
execute if entity @s[scores={best_total_tick=9441..10600 }] run scoreboard players add @s points 50
execute if entity @s[scores={best_total_tick=10601..12000}] run scoreboard players add @s points 40
execute if entity @s[scores={best_total_tick=12001..13200}] run scoreboard players add @s points 30
execute if entity @s[scores={best_total_tick=13001..15600}] run scoreboard players add @s points 20
execute if entity @s[scores={best_total_tick=15601..     }] run scoreboard players add @s points 10


execute if entity @s[scores={best_jumps=..444   }] run scoreboard players add @s points 70
execute if entity @s[scores={best_jumps=445..480}] run scoreboard players add @s points 60
execute if entity @s[scores={best_jumps=481..520}] run scoreboard players add @s points 50
execute if entity @s[scores={best_jumps=521..580}] run scoreboard players add @s points 40
execute if entity @s[scores={best_jumps=581..630}] run scoreboard players add @s points 30
execute if entity @s[scores={best_jumps=631..700}] run scoreboard players add @s points 20
execute if entity @s[scores={best_jumps=701..   }] run scoreboard players add @s points 10


execute if entity @s[scores={best_fails=..0   }] run scoreboard players add @s points 70
execute if entity @s[scores={best_fails=1..3  }] run scoreboard players add @s points 60
execute if entity @s[scores={best_fails=4..10 }] run scoreboard players add @s points 50
execute if entity @s[scores={best_fails=11..20}] run scoreboard players add @s points 40
execute if entity @s[scores={best_fails=21..35}] run scoreboard players add @s points 30
execute if entity @s[scores={best_fails=36..60}] run scoreboard players add @s points 20
execute if entity @s[scores={best_fails=61..  }] run scoreboard players add @s points 10


execute if entity @s[scores={best_score=182000..      }] run scoreboard players add @s points 70
execute if entity @s[scores={best_score=172000..181999}] run scoreboard players add @s points 60
execute if entity @s[scores={best_score=160000..171999}] run scoreboard players add @s points 50
execute if entity @s[scores={best_score=130000..159999}] run scoreboard players add @s points 40
execute if entity @s[scores={best_score=100000..129999}] run scoreboard players add @s points 30
execute if entity @s[scores={best_score=63000..99999  }] run scoreboard players add @s points 20
execute if entity @s[scores={best_score=..62999       }] run scoreboard players add @s points 10

execute if entity @s[scores={points=0..}] run scoreboard players set @s rank 0
execute if entity @s[scores={points=49..}] run scoreboard players set @s rank 1
execute if entity @s[scores={points=70..}] run scoreboard players set @s rank 2
execute if entity @s[scores={points=91..}] run scoreboard players set @s rank 3
execute if entity @s[scores={points=122..}] run scoreboard players set @s rank 4
execute if entity @s[scores={points=143..}] run scoreboard players set @s rank 5
execute if entity @s[scores={points=164..}] run scoreboard players set @s rank 6
execute if entity @s[scores={points=185..}] run scoreboard players set @s rank 7
execute if entity @s[scores={points=206..}] run scoreboard players set @s rank 8
execute if entity @s[scores={points=227..}] run scoreboard players set @s rank 9
execute if entity @s[scores={points=248..}] run scoreboard players set @s rank 10
execute if entity @s[scores={points=269..}] run scoreboard players set @s rank 11
execute if entity @s[scores={points=280..}] run scoreboard players set @s rank 12


#calculate points, world
scoreboard players set !points world_stats 0

execute if score !best_total_tick world_stats matches ..8400 run scoreboard players add !points world_stats 70
execute if score !best_total_tick world_stats matches 8401..9440 run scoreboard players add !points world_stats 60
execute if score !best_total_tick world_stats matches 9441..10600 run scoreboard players add !points world_stats 50
execute if score !best_total_tick world_stats matches 10601..12000 run scoreboard players add !points world_stats 40
execute if score !best_total_tick world_stats matches 12001..13200 run scoreboard players add !points world_stats 30
execute if score !best_total_tick world_stats matches 13001..15600 run scoreboard players add !points world_stats 20
execute if score !best_total_tick world_stats matches 15601.. run scoreboard players add !points world_stats 10


execute if score !best_jumps world_stats matches ..444 run scoreboard players add !points world_stats 70
execute if score !best_jumps world_stats matches 445..480 run scoreboard players add !points world_stats 60
execute if score !best_jumps world_stats matches 481..520 run scoreboard players add !points world_stats 50
execute if score !best_jumps world_stats matches 521..580 run scoreboard players add !points world_stats 40
execute if score !best_jumps world_stats matches 581..630 run scoreboard players add !points world_stats 30
execute if score !best_jumps world_stats matches 631..700 run scoreboard players add !points world_stats 20
execute if score !best_jumps world_stats matches 701.. run scoreboard players add !points world_stats 10


execute if score !best_fails world_stats matches ..0 run scoreboard players add !points world_stats 70
execute if score !best_fails world_stats matches 1..3 run scoreboard players add !points world_stats 60
execute if score !best_fails world_stats matches 4..10 run scoreboard players add !points world_stats 50
execute if score !best_fails world_stats matches 11..20 run scoreboard players add !points world_stats 40
execute if score !best_fails world_stats matches 21..35 run scoreboard players add !points world_stats 30
execute if score !best_fails world_stats matches 36..60 run scoreboard players add !points world_stats 20
execute if score !best_fails world_stats matches 61.. run scoreboard players add !points world_stats 10


execute if score !best_score world_stats matches 182000.. run scoreboard players add !points world_stats 70
execute if score !best_score world_stats matches 172000..181999 run scoreboard players add !points world_stats 60
execute if score !best_score world_stats matches 160000..171999 run scoreboard players add !points world_stats 50
execute if score !best_score world_stats matches 130000..159999 run scoreboard players add !points world_stats 40
execute if score !best_score world_stats matches 100000..129999 run scoreboard players add !points world_stats 30
execute if score !best_score world_stats matches 63000..99999 run scoreboard players add !points world_stats 20
execute if score !best_score world_stats matches ..62999 run scoreboard players add !points world_stats 10

execute if score !points world_stats matches 0.. run scoreboard players set !rank world_stats 0
execute if score !points world_stats matches 49.. run scoreboard players set !rank world_stats 1
execute if score !points world_stats matches 70.. run scoreboard players set !rank world_stats 2
execute if score !points world_stats matches 91.. run scoreboard players set !rank world_stats 3
execute if score !points world_stats matches 122.. run scoreboard players set !rank world_stats 4
execute if score !points world_stats matches 143.. run scoreboard players set !rank world_stats 5
execute if score !points world_stats matches 164.. run scoreboard players set !rank world_stats 6
execute if score !points world_stats matches 185.. run scoreboard players set !rank world_stats 7
execute if score !points world_stats matches 206.. run scoreboard players set !rank world_stats 8
execute if score !points world_stats matches 227.. run scoreboard players set !rank world_stats 9
execute if score !points world_stats matches 248.. run scoreboard players set !rank world_stats 10
execute if score !points world_stats matches 269.. run scoreboard players set !rank world_stats 11
execute if score !points world_stats matches 280.. run scoreboard players set !rank world_stats 12




#run ones, fireworks
execute if entity @s[scores={win_timer=10}] run summon firework_rocket -383.50 72.00 -90.52 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;2293504],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=10}] run summon firework_rocket -384.50 72.00 -85.49 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;2293504],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=10}] run summon firework_rocket -382.49 72.00 -80.52 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;2293504],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=10}] run summon firework_rocket -379.48 72.00 -86.50 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;2293504],FadeColors:[I;16777215]}]}}}}

execute if entity @s[scores={win_timer=30}] run summon firework_rocket -383.50 72.00 -90.52 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;16764982],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=30}] run summon firework_rocket -384.50 72.00 -85.49 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;16764982],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=30}] run summon firework_rocket -382.49 72.00 -80.52 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;16764982],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=30}] run summon firework_rocket -379.48 72.00 -86.50 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;16764982],FadeColors:[I;16777215]}]}}}}

execute if entity @s[scores={win_timer=60}] run summon firework_rocket -383.50 72.00 -90.52 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;4371711],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=60}] run summon firework_rocket -384.50 72.00 -85.49 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;4371711],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=60}] run summon firework_rocket -382.49 72.00 -80.52 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;4371711],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=60}] run summon firework_rocket -379.48 72.00 -86.50 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;4371711],FadeColors:[I;16777215]}]}}}}

execute if entity @s[scores={win_timer=99}] run summon firework_rocket -383.50 72.00 -90.52 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;9125375],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=99}] run summon firework_rocket -384.50 72.00 -85.49 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;9125375],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=99}] run summon firework_rocket -382.49 72.00 -80.52 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;9125375],FadeColors:[I;16777215]}]}}}}
execute if entity @s[scores={win_timer=99}] run summon firework_rocket -379.48 72.00 -86.50 {LifeTime:10,Tags:["win_firework"],FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:4,Flicker:1b,Trail:1b,Colors:[I;9125375],FadeColors:[I;16777215]}]}}}}

#always
tag @s remove this_player
scoreboard players add @s win_timer 1
execute if entity @s[scores={win_timer=100..}] run scoreboard players set @s win_timer 0












